Agent Tasks
Get Agent Task
Retrieves detailed information about a specific agent task.
GET
/
api
/
v1
/
vendors
/
{vendorId}
/
organizations
/
{organizationId}
/
agents
/
{agentId}
/
tasks
/
{taskId}
Get Agent Task Details
curl --request GET \
--url https://app.deepslate.eu/api/v1/vendors/{vendorId}/organizations/{organizationId}/agents/{agentId}/tasks/{taskId}import requests
url = "https://app.deepslate.eu/api/v1/vendors/{vendorId}/organizations/{organizationId}/agents/{agentId}/tasks/{taskId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://app.deepslate.eu/api/v1/vendors/{vendorId}/organizations/{organizationId}/agents/{agentId}/tasks/{taskId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"timestamp": "2025-04-17T14:23:30Z",
"message": "<string>",
"data": {
"id": "77aaddcc-88bb-11ee-aacc-112233445566",
"userValues": {
"customer_name": "Alice Wonderland",
"product_interest": "Teapot",
"callback_reason": "Price query"
},
"targetNumber": "+491721234567",
"status": "SCHEDULED",
"onlyWeekdays": true,
"createdAt": "2024-02-01T09:15:30Z",
"allowedHoursBegin": 9,
"allowedHours": 8,
"conclusionId": "<string>"
},
"traceId": "<string>"
}Path Parameters
ID of the Vendor (UUID)
ID of the Organization (UUID)
ID of the Agent (UUID)
ID of the Task (UUID)
Response
Successfully retrieved agent task details
Standard API response wrapper
Indicates if the request was successful
Example:
true
Response timestamp in ISO-8601 format
Example:
"2025-04-17T14:23:30Z"
Human-readable message
Payload data object
Show child attributes
Show child attributes
Correlation or trace ID
Was this page helpful?
⌘I
Get Agent Task Details
